#include <stdio.h>
#include <stdlib.h>
#include <math.h>

struct takmicar{
		double x;
		double y;
	}; 

int ispar(int n, struct takmicar takmicari[n], int num1, int num2, int num3, int num4){ //num1 num2 line 1, num3 num4 line 2
	
	double m1 = ((takmicari[num1].y - takmicari[num2].y)/(takmicari[num1].x - takmicari[num2].x)); //1-2
	double m2 = ((takmicari[num3].y - takmicari[num4].y)/(takmicari[num3].x - takmicari[num4].x)); //3-4
	
	double d1 = (takmicari[num2].x - takmicari[num1].x)*(takmicari[num2].x - takmicari[num1].x) + (takmicari[num2].y - takmicari[num1].y)*(takmicari[num2].y - takmicari[num1].y);
	double d2 = (takmicari[num4].x - takmicari[num3].x)*(takmicari[num4].x - takmicari[num3].x) + (takmicari[num4].y - takmicari[num3].y)*(takmicari[num4].y - takmicari[num3].y);

	if(m1 == -INFINITY){
		m1 = INFINITY;
	}
	
	if(m2 == -INFINITY){
		m2 = INFINITY;
	}
	
	if(m1 == m2){
		if(d1 == 4 * d2){
			return 1;
		}
	}
	return 0;
}

void main(){
	int n,i,j,k,l,m,z,c; int SUS = 0;
	scanf("%i", &n);
	
	struct takmicar takmicari[n];
	
	for(i=0;i<n;i++){
		scanf("%lf %lf", &takmicari[i].x, &takmicari[i].y);
	}
	
	for(i = 0; i < n-3; i++){
        for(j = i + 1; j < n-2; j++){
            for(k = j + 1; k < n-1; k++){
                for(l = k + 1; l < n; l++){ // takmicari[i] takmicari[j] takmicari[k] takmicari[l]
					m = ispar(n, takmicari, i,j,k,l);
					z = ispar(n, takmicari, i,k,j,l);
					c = ispar(n, takmicari, i,l,j,k);
					if(m==1 || z==1 || c==1){
						SUS++;
					}
				}
			}
		}
	}
	
	printf("%i", SUS);
}